View Issue Details

IDProjectCategoryView StatusLast Update
0019648LazarusIDEpublic2012-04-02 21:22
ReporterlainzAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityunable to reproduce
Status closedResolutionfixed 
Platformi386OSWindowsOS Version7
Product Version0.9.31 (SVN)Product Build31429 
Target Version1.2.0Fixed in Version0.9.31 (SVN) 
Summary0019648: Add requested execution level in W32Manifest (for Vista+)
Descriptionin line 79 of \ide\w32manifest.pas

<requestedExecutionLevel level="asInvoker" uiAccess="false"/>

requestedExecutionLevel in Vista can be:

* asInvoker
* highestAvailable
* requireAdministrator

Those are used to set required privileges to run the application (like only administrators)

also uiAcces can be

* True
* False

This is used if our application need to send messages to other applications.

I need:

A combobox in Project Options to select execution level (by default asInvoker).
A checkbox in Project Options to enable/disable (true/false) uiAcces.
Additional InformationAbout privileges
http://msdn.microsoft.com/en-us/library/bb756929.aspx

About uiAcces
http://social.msdn.microsoft.com/Forums/en-US/windowssecurity/thread/4d2e1358-af95-4f4f-b239-68ec7e2525a9/
TagsProject Options, vista, win7, windows, Windows 7
Fixed in Revision36337
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Activities

lainz

2011-08-22 21:13

reporter   ~0051033

Maybe can be easy to add something like 'custom manifest' option, I know that the manifest can be added from a .xml file and include (unchecking use themes option) but It can be easy if we have integrated the manifest file in the project file.

Paul Ishenin

2012-03-26 08:45

manager   ~0058032

Please test and close if ok

lainz

2012-04-02 21:22

reporter   ~0058267

It works fine. Thanks.

Issue History

Date Modified Username Field Change
2011-06-28 15:23 lainz New Issue
2011-06-28 15:23 lainz Widgetset => Win32/Win64
2011-06-28 15:35 lainz Tag Attached: vista
2011-06-28 15:36 lainz Tag Attached: windows
2011-06-28 15:36 lainz Tag Attached: win7
2011-06-28 15:36 lainz Tag Attached: Windows 7
2011-06-28 15:51 lainz Tag Attached: Project Options
2011-08-22 21:13 lainz Note Added: 0051033
2011-10-06 14:53 Vincent Snijders LazTarget => 1.2
2011-10-06 14:53 Vincent Snijders Status new => acknowledged
2011-10-06 14:53 Vincent Snijders Target Version => 1.2.0
2012-03-26 08:45 Paul Ishenin Fixed in Revision => 36337
2012-03-26 08:45 Paul Ishenin Status acknowledged => resolved
2012-03-26 08:45 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-03-26 08:45 Paul Ishenin Resolution open => fixed
2012-03-26 08:45 Paul Ishenin Assigned To => Paul Ishenin
2012-03-26 08:45 Paul Ishenin Note Added: 0058032
2012-04-02 21:22 lainz Status resolved => closed
2012-04-02 21:22 lainz Note Added: 0058267